# SavePal Production Secrets
# Note: This is a template file. Actual secrets should be created using kubectl or sealed-secrets
apiVersion: v1
kind: Secret
metadata:
  name: savepal-backend-secrets
  namespace: savepal-production
  labels:
    app: savepal-backend
    component: secrets
    environment: production
type: Opaque
stringData:
  # Database
  MONGODB_URI: "mongodb+srv://username:password@cluster.mongodb.net/savepal-prod?retryWrites=true&w=majority"
  
  # Redis
  REDIS_HOST: "savepal-redis-service"
  REDIS_PASSWORD: "your-redis-password-here"
  
  # JWT Secrets
  JWT_SECRET: "your-super-secure-jwt-secret-key-here-minimum-32-characters"
  JWT_REFRESH_SECRET: "your-super-secure-jwt-refresh-secret-key-here-minimum-32-characters"
  
  # AWS Credentials
  AWS_ACCESS_KEY_ID: "your-aws-access-key-id"
  AWS_SECRET_ACCESS_KEY: "your-aws-secret-access-key"
  AWS_S3_BUCKET: "savepal-production-assets"
  
  # AI API Keys
  HUGGINGFACE_API_KEY: "your-huggingface-api-key"
  OPENROUTER_API_KEY: "your-openrouter-api-key"
  ANTHROPIC_API_KEY: "your-anthropic-api-key"
  
  # Communication Services
  SENDGRID_API_KEY: "your-sendgrid-api-key"
  TWILIO_ACCOUNT_SID: "your-twilio-account-sid"
  TWILIO_AUTH_TOKEN: "your-twilio-auth-token"
  
  # Social Login
  GOOGLE_CLIENT_ID: "your-google-client-id"
  GOOGLE_CLIENT_SECRET: "your-google-client-secret"
  FACEBOOK_APP_ID: "your-facebook-app-id"
  FACEBOOK_APP_SECRET: "your-facebook-app-secret"
  APPLE_CLIENT_ID: "your-apple-client-id"
  APPLE_TEAM_ID: "your-apple-team-id"
  APPLE_KEY_ID: "your-apple-key-id"
  APPLE_PRIVATE_KEY: "your-apple-private-key-base64-encoded"
  
  # Monitoring & Analytics
  SENTRY_DSN: "your-sentry-dsn-url"
  DATADOG_API_KEY: "your-datadog-api-key"
  DATADOG_APP_KEY: "your-datadog-app-key"
  
  # Grafana
  GRAFANA_ADMIN_PASSWORD: "your-secure-grafana-password"

---
# TLS Secret for HTTPS
apiVersion: v1
kind: Secret
metadata:
  name: savepal-tls-secret
  namespace: savepal-production
  labels:
    app: savepal
    component: tls
    environment: production
type: kubernetes.io/tls
data:
  # Base64 encoded certificate and key
  # Generate using: kubectl create secret tls savepal-tls-secret --cert=path/to/tls.crt --key=path/to/tls.key
  tls.crt: LS0tLS1CRUdJTi... # Your base64 encoded certificate
  tls.key: LS0tLS1CRUdJTi... # Your base64 encoded private key

---
# Docker Registry Secret (if using private registry)
apiVersion: v1
kind: Secret
metadata:
  name: savepal-registry-secret
  namespace: savepal-production
  labels:
    app: savepal
    component: registry
    environment: production
type: kubernetes.io/dockerconfigjson
data:
  .dockerconfigjson: eyJhdXRocyI6eyJyZWdpc3RyeS5zYXZlcGFsLmFpIjp7InVzZXJuYW1lIjoieW91ci11c2VybmFtZSIsInBhc3N3b3JkIjoieW91ci1wYXNzd29yZCIsImF1dGgiOiJiR2x1WlhKcGJtVnVkV0Z0WlE9PSJ9fX0=
